Package javassist.bytecode

# Class SignatureAttribute.NestedClassType

java.lang.Object
javassist.bytecode.SignatureAttribute.Type
javassist.bytecode.SignatureAttribute.ObjectType
javassist.bytecode.SignatureAttribute.ClassType
javassist.bytecode.SignatureAttribute.NestedClassType

Enclosing class:
  `SignatureAttribute`

public static class SignatureAttribute.NestedClassType extends SignatureAttribute.ClassType
Nested class types.

## Field Summary

### Fields inherited from class javassist.bytecode.SignatureAttribute.ClassType

`OBJECT`

## Constructor Summary

Constructors
Constructor
Description
`NestedClassType(SignatureAttribute.ClassType parent, String className, SignatureAttribute.TypeArgument[] args)`
Constructs a `NestedClassType`.

## Method Summary

Modifier and Type
Method
Description
`SignatureAttribute.ClassType`
`getDeclaringClass()`
Returns the class that declares this nested class.

### Methods inherited from class javassist.bytecode.SignatureAttribute.ClassType

`getName, getTypeArguments, jvmTypeName, toString`

### Methods inherited from class javassist.bytecode.SignatureAttribute.ObjectType

`encode`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NestedClassType

public NestedClassType(SignatureAttribute.ClassType parent, String className, SignatureAttribute.TypeArgument[] args)
Constructs a `NestedClassType`.

Parameters:
  `parent` - the class surrounding this class type.
  `className` - a simple class name. It does not include a package name or a parent's class name.
  `args` - type parameters or null.

## Method Details

### getDeclaringClass

public SignatureAttribute.ClassType getDeclaringClass()
Returns the class that declares this nested class. This nested class is a member of that declaring class.

Overrides:
  `getDeclaringClass` in class `SignatureAttribute.ClassType`
Returns:
  null if this class is not a member of another class.